classification
Title: cannot install versions 3.6.5+ on Windows
Type: Stage: resolved
Components: Windows Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: Zyg, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2018-09-01 10:05 by Zyg, last changed 2019-08-02 22:31 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
Python 3.7.0 (32-bit)_20180901123914.log Zyg, 2018-09-01 10:05 error log report
Messages (5)
msg324461 - (view) Author: (Zyg) Date: 2018-09-01 10:05
Hi. 
I tried to unsuccessfully install 3.7.0 and 3.6.5. The error I received was 0x80072f7d unspecified error. Searching the internet and turning off my firewall didn't help. Then I tried installing 3.4.4, it worked.
msg324529 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-09-03 16:39
It looks like you have some sort of network protection software that is not allowing the installer to download certain files.

Try running the installer with the "/layout [directory]" option to pre-download all the files you need from a machine that can access the internet, and then you can install optional components on any machine without needing network access.
msg327777 - (view) Author: (Zyg) Date: 2018-10-15 19:47
Thanks for the answer. As you instructed, I have downloaded all the installation files into a directory from another laptop, where I later successfully installed Python. However, on the old laptop, where I originally had this problem, I am still unable to install it. I believe it has something to do with missing Windows updates. Now I am receiving a "System Error" message: "The program can't start because api-ms-win-crt-runtime-l1-1-0.dll is missing from your computer. Try reinstalling the program to fix this problem."
msg327778 - (view) Author: (Zyg) Date: 2018-10-15 19:52
Clarification. After getting that system error 3 times, I saw the message that installation succeeded. But I am unable to start Python because of this same error.
msg328154 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-10-20 15:44
Make sure your system is fully up to date and you have rebooted before/after installing Python.

That error means that system files are not installed correctly, which either means you are suffering corruption or you have pending installations waiting for a reboot.
History
Date User Action Args
2019-08-02 22:31:19steve.dowersetstatus: open -> closed
resolution: out of date
stage: resolved
2018-10-20 15:44:17steve.dowersetmessages: + msg328154
2018-10-15 19:52:42Zygsetmessages: + msg327778
2018-10-15 19:47:54Zygsetmessages: + msg327777
2018-09-03 16:39:15steve.dowersetmessages: + msg324529
2018-09-01 10:05:51Zygcreate